Subject: bug#41276: [PATCH 0/9] Various small improvements to EasyPG

From: Robert Pluim <[email-masked]>
Date: Fri, 15 May 2020 11:26:00 +0200

>>>>> On Thu, 14 May 2020 16:04:36 -0700, Stefan Kangas <[email-masked]> said:

    Stefan> Jonas Bernoulli <[email-masked]> writes:
    >> This patches make various cosmetic and hopefully uncontroversial
    >> changes to epa and epg libraries.
    >> 
    >> I am now to contributing to Emacs itself and not yet comfortable
    >> with the commit message conventions among other things.  Tell me
    >> what I am doing wrong please.

    Stefan> You might want to use `add-change-log-entry-other-window' or
    Stefan> `log-edit-generate-changelog-from-diff' to generate the ChangeLog
    Stefan> entries.  That way it's faster to write them, and easier to get right.

Itʼs a real shame that log-edit-generate-changelog-from-diff doesn't
work correctly when committing via Magit, it really helps you get all
the annoying details of ChangeLog entries right.

Robert